Bug 106358 - Android: Unable to save any document
Summary: Android: Unable to save any document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All Android
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 106509 (view as bug list)
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-06 13:15 UTC by Gautam Prajapati
Modified: 2018-04-05 11:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gautam Prajapati 2017-03-06 13:15:14 UTC
As of now, LibreOffice Android cannot save the documents after editing in experimental writing mode. 

*Steps to reproduce*

Enable the Experimental editing mode by going to Settings. Edit any document, click on save in overflow menu. It shows the toast `saving the document...` and after 20 seconds or so it says `Save incomplete, Were there any changes?`and the file is never saved.

*Code Pointers*

Line238:LibreOfficeMainActivity.java class in android/source defines the saveDocument function. The problem seems to be in the runnable handling the delay of document provider save operation.

*Versions affected*

 5.3.3.0.alpha1+ and beyond
Comment 1 Tomaz Vajngerl 2017-03-06 22:48:14 UTC
Hmm.. this works for me on the version from Google Play.
Comment 2 Tomaz Vajngerl 2017-03-06 22:50:00 UTC
Oh.. please don't set the status to "New"
Comment 3 Gautam Prajapati 2017-03-07 10:39:56 UTC
Okay, sorry. Will take care of it. Also, I'm facing the bug on the app installed from Google play only. I'm using Android 7.0 on Motorola G4 plus device.

Here is the link to the screencast of the bug on my device. 
https://drive.google.com/open?id=0ByUvi_2Y6tP7RmZjSWRqdFJRZHc
Comment 4 Tomaz Vajngerl 2017-03-19 21:52:02 UTC
Maybe you didn't wait long enough.. at the time we didn't yet have a save callback but we have it now AFAIK. 

Maybe we should change this to use the callback and make a "saving.." pop-up just like when loading..
Comment 5 Gautam Prajapati 2017-03-20 09:19:54 UTC
Sounds great. It is mentioned in the comment of saveDocument() function as well. Implementation right now is kinda hacky and not foolproof. I would like to take this as one of the tasks for my GSoC proposal if someone is not already working on it.
Comment 6 Mert Tumer 2017-03-21 06:05:52 UTC
*** Bug 106509 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2018-03-22 03:38:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug